{-# LANGUAGE OverloadedStrings #-}

module Main where

import qualified Data.Text.IO as T
import Prettyprinter
import Text.Megaparsec (parse)
import Windows12.Parser (programP)

main :: IO ()
main = do
  test <- T.readFile "test/hello.w12"
  case parse programP "test/hello.w12" test of
    Left err -> print err
    Right ast -> print (pretty ast)
